# DAGetGlobalVector

Gets a MPI PETSc vector that may be used with the DAXXX routines.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetGlobalVector(DA da,Vec* g)

Collective on DA

### Input Parameter

da -the distributed array

### Output Parameter

g -the global vector

### Note

The vector values are NOT initialized and may have garbage in them, so you may need to zero them.

The output parameter, g, is a regular PETSc vector that should be returned with DARestoreGlobalVector() DO NOT call VecDestroy() on it.

VecStride*() operations can be useful when using DA with dof > 1

### Keywords

distributed array, create, Global, vector

### See Also

DACreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DACreate1d(), DACreate2d(), DACreate3d(), DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DALocalToGlobal(), DACreateLocalVector(), DARestoreLocalVector() VecStrideMax(), VecStrideMin(), VecStrideNorm()

Level:beginner
Location: src/dm/da/src/dalocal.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/da/examples/tutorials/ex6.c.html
src/dm/da/examples/tutorials/ex6f90.F.html